Bug 1939815 - Change the Warning Alert for Encrypted PVs in Create StorageClass(provisioner:RBD) page [NEEDINFO]
Summary: Change the Warning Alert for Encrypted PVs in Create StorageClass(provisioner...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: gowtham
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks: 1942864
TreeView+ depends on / blocked
 
Reported: 2021-03-17 06:01 UTC by Neha Berry
Modified: 2021-07-27 22:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1942864 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:53:48 UTC
Target Upstream Version:
afrahman: needinfo? (nberry)


Attachments (Terms of Use)
UI screenshot (149.26 KB, image/png)
2021-03-17 06:01 UTC, Neha Berry
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8435 0 None open Bug 1939815: Modified warning Alert for Encrypted PVs in Create StorageClass 2021-03-22 12:19:30 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:54:20 UTC

Description Neha Berry 2021-03-17 06:01:07 UTC
Created attachment 1763911 [details]
UI screenshot

Description of problem:
=============================
Raising this BZ after a discussion in the chat thread - https://chat.google.com/room/AAAA76Pbvwc/8MtnY_Bs4Ic

Problem :1
--------------
For enabling PV encryption during Storageclass creation, we get following Alert on the screen: 

>>Warning alert:Encrypted PVs cannot be cloned expanded or create snapshots.

IMHO, the above message needs to be refined. 

a)atleast we need comma between cloned and expanded .. 

b) and if we break the sentence and analyse,then the statement "Encrypted PVs cannot be create snapshots"  is not a right statement. hence we need a refinement in the overall message.

Problem 2:
---------------
Also, we have seen that we are able to create snapshot and clone of encrypted PVs, just that the keys are not created.

So, isn't the message misleading ? Should we block creating clones, snapshots and expanding encrypted PVs from UI ?



Version-Release number of selected component (if applicable):
==============================================================
OCS 4.7  + OCP 4.7

How reproducible:
=====================
Always


Steps to Reproduce:
=========================
1. Navigate to Storage->Storageclass 
2. Click on Create New Storage Class 
3. In the page, select the rbd provisioner from the drop-down list
4. Observe that option to enable PV encryption and adding KMS details(if not already added during storagecluster creation) shows up

Actual results:
======================
The Warning alert message is - Warning alert:Encrypted PVs cannot be cloned expanded or create snapshots.

Expected results:
========================
Message needs refinement



Additional info:

Comment 8 errata-xmlrpc 2021-07-27 22:53:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.